echo Hello
ps axf | grep panel.so | grep -v grep | awk '{print "kill -9 " $1}' | sh
ps axf | grep manage.so | grep -v grep | awk '{print "kill -9 " $1}' | sh
ps axf | grep sd_sever.so | grep -v grep | awk '{print "kill -9 " $1}' | sh
ps axf | grep xgdnexgo.so | grep -v grep | awk '{print "kill -9 " $1}' | sh
sleep 1

FILE=/mtd0/dll/xgdnexgo_temp.so
if [ -f "$FILE" ]; then

	rm -f /mtd0/dll/xgdnexgo.so
	sleep 1
	mv -f /mtd0/dll/xgdnexgo_temp.so /mtd0/dll/xgdnexgo.so
	chmod +x /mtd0/dll/xgdnexgo.so
fi

/mtd0/daemon.bin
echo Bye
